%define soname       fprint
%define api          2.0
%define major        2
%define libname      %mklibname %{soname} %{major}
%define girname      %mklibname %{soname}-gir %{api}
%define libnamedevel %mklibname %{soname} -d

Name:           libfprint
Version:        1.94.7
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
Summary:        Library for adding support for consumer fingerprint readers
URL:            https://fprint.freedesktop.org/
Source:         https://gitlab.freedesktop.org/libfprint/libfprint/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(libusb-1.0) >= 0.9.1
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(gusb)
BuildRequires:  doxygen
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(gudev-1.0)

%description
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

Features:
    * Offers a single API to application developers to access the entire range
      of supported devices
    * Supports imaging - downloading live fingerprint scans from the device
    * Includes image processing/matching code
    * Supports enrollment/verification - enrolling a print from a known user,
      and then later comparing a live scan to the enrolled print.

#--------------------------------------------------------------------

%package -n     %{libname}
Group:          System/Libraries
Summary:        Library for adding support for consumer fingerprint readers
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

%files -n %{libname}
%license COPYING
%doc NEWS THANKS AUTHORS
%{_libdir}/libfprint-2.so.%{major}{,.*}
%{_udevhwdbdir}/60-autosuspend-libfprint-2.hwdb
%{_udevrulesdir}/70-libfprint-2.rules

#--------------------------------------------------------------------

%package -n     %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/FPrint-%{api}.typelib

#--------------------------------------------------------------------

%package -n     %{libnamedevel}
Group:          System/Libraries
Summary:        Development library for adding support for consumer fingerprint readers
Requires:       %{libname} = %{version}-%{release}
Requires:       %{girname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{soname}-devel = %{version}-%{release}

%description -n %{libnamedevel}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

This package includes the headers and development library for building
applications that support finger print readers.

%files -n %{libnamedevel}
%doc HACKING.md
%{_includedir}/libfprint-2
%{_libdir}/libfprint-2.so
%{_libdir}/pkgconfig/libfprint-2.pc
%{_datadir}/gtk-doc/html/libfprint-2/
%{_datadir}/gir-1.0/FPrint-%{api}.gir

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson -D installed-tests=false
%meson_build

%install
%meson_install


%changelog
* Fri Jun 07 2024 daviddavid <daviddavid> 1.94.7-1.mga10
+ Revision: 2070430
- new version: 1.94.7

* Mon Nov 27 2023 daviddavid <daviddavid> 1.94.6-1.mga10
+ Revision: 2010199
- new version: 1.94.6

* Mon Dec 05 2022 daviddavid <daviddavid> 1.94.5-1.mga9
+ Revision: 1918267
- new version: 1.94.5

* Tue Oct 04 2022 neoclust <neoclust> 1.94.4-1.mga9
+ Revision: 1894822
- New version 1.94.4

* Sun Apr 03 2022 umeabot <umeabot> 1.94.2-2.mga9
+ Revision: 1841756
- Mageia 9 Mass Rebuild

* Tue Jan 18 2022 mrambo3501 <mrambo3501> 1.94.2-1.mga9
+ Revision: 1768976
- version 1.94.2
- remove no longer supported meson build parameter

* Tue Mar 02 2021 daviddavid <daviddavid> 1.90.7-1.mga9
+ Revision: 1696252
- new version: 1.90.7
- split out the gir library in its own sub-pkg

* Thu Dec 24 2020 neoclust <neoclust> 1.90.6-1.mga8
+ Revision: 1663287
- New version 1.90.6

* Sun Feb 16 2020 umeabot <umeabot> 1.0-2.mga8
+ Revision: 1531448
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 daviddavid <daviddavid> 1.0-1.mga8
+ Revision: 1440368
- new version: 1.0
- remove merged upstream patch

* Wed Apr 17 2019 umeabot <umeabot> 0.8.2-3.mga7
+ Revision: 1392733
- Rebuild with meson 0.50.1

* Thu Sep 27 2018 daviddavid <daviddavid> 0.8.2-2.mga7
+ Revision: 1307211
- fix build with newer meson
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Jul 17 2018 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1244041
- new version: 0.8.2

* Tue Jun 12 2018 daviddavid <daviddavid> 0.8.1-1.mga7
+ Revision: 1236530
- new version: 0.8.1
- switch to meson build system

* Sat Apr 07 2018 kekepower <kekepower> 0.7.0-1.mga7
+ Revision: 1215736
- Update to version 0.7.0

* Tue Mar 15 2016 daviddavid <daviddavid> 0.6.0-3.mga6
+ Revision: 991067
- rename and rediff unappliable link patch (since fixed autopatch)

* Mon Feb 15 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 960980
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 0.6.0-1.mga6
+ Revision: 905974
- new version: 0.6.0
- provides fprint-devel

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 746074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 681463
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.1-2.mga4
+ Revision: 534399
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 0.5.1-1.mga4
+ Revision: 477806
- new version 0.5.1

* Tue May 28 2013 fwang <fwang> 0.5.0-4.mga4
+ Revision: 429145
- rebuild for new imagemagick

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.5.0-3.mga3
+ Revision: 361775
- fix for automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 fwang <fwang> 0.5.0-1.mga3
+ Revision: 335301
- set udev rules dir
- do not patch Makefile.in
+ juancho <juancho>
- Updated to 0.5.0

* Fri Dec 14 2012 fwang <fwang> 0.4.0-3.mga3
+ Revision: 330736
- rebuild for new imagemagick

* Sat Dec 08 2012 tv <tv> 0.4.0-2.mga3
+ Revision: 328280
- cleanup description

* Sat Dec 08 2012 fwang <fwang> 0.4.0-1.mga3
+ Revision: 328070
- fix linkage

* Fri Aug 26 2011 tv <tv> 0.4.0-1.mga2
+ Revision: 135575
- fix file list
- BuildRequires: nss-devel
- drop merged patches
- new release
- new URL

* Mon Feb 07 2011 mikala <mikala> 0.1.0-0.pre2.5.mga1
+ Revision: 48741
- imported package libfprint


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-0.pre2.5mdv2011.0
+ Revision: 602543
- rebuild

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 0.1.0-0.pre2.4mdv2010.1
+ Revision: 533315
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-0.pre2.3mdv2010.1
+ Revision: 511586
- rebuilt against openssl-0.9.8m

* Wed Dec 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.0-0.pre2.2mdv2010.1
+ Revision: 479570
- Add buildrequire
- make %%libname provide %%name
- Fix patches
- Update to 0.1.0 pre2
  Sync patches with fedora
  Fix file list

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0.0.6-4mdv2010.0
+ Revision: 438595
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - add URL

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 0.0.6-3mdv2009.1
+ Revision: 335787
- rebuild

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.0.6-2mdv2009.0
+ Revision: 238915
- rebuild against latest imagemagick
- use configure2_5x

* Sat Jun 21 2008 Buchan Milne <bgmilne@mandriva.org> 0.0.6-1mdv2009.0
+ Revision: 227706
- New version 0.0.6

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.0.5-4mdv2008.1
+ Revision: 168578
- rebuilt against new imagemagick libs
- fix no-buildroot-tag

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-2mdv2008.1
+ Revision: 146505
- rebuilt against new imagemagick libs (6.3.7)

* Sat Dec 08 2007 Buchan Milne <bgmilne@mandriva.org> 0.0.5-1mdv2008.1
+ Revision: 116482
- Buildrequire openssl-devel
- import libfprint


